Index: branches/2.3/phpgwapi/templates/default/login_default.php
===================================================================
--- branches/2.3/phpgwapi/templates/default/login_default.php	(revision 4951)
+++ branches/2.3/phpgwapi/templates/default/login_default.php	(revision 5010)
@@ -65,4 +65,5 @@
             $aux = strtr($aux,' ','+');
             $aux = '-----BEGIN CERTIFICATE-----'.$aux.'-----END CERTIFICATE-----';
+            $aux = str_replace(chr(0x0A).chr(0x0A),chr(0x0A),str_replace(chr(0x0D).chr(0x0A),chr(0x0A), $aux));
             return $aux;
         }
@@ -114,7 +115,7 @@
 		unset($sslattributes);
 	}
-        if(isset($_POST['certificado']) && $_POST['certificado'])
+        if(isset($_POST['certificado']) && $_POST['certificado'] && $GLOBALS['phpgw_info']['server']['certificado']==1)
         {
-            $_SESSION['login_certificate'] = troca_espaco_por_mais(str_replace(chr(0x0D).chr(0x0A),chr(0x0A),str_replace(chr(0x0A).chr(0x0A),chr(0x0A),$_POST['certificado'])));
+            $_SESSION['login_certificate'] = troca_espaco_por_mais($_POST['certificado']);
         }
         if( isset( $_GET[ 'cd' ] ) && ( $_GET['cd']=='1' || $_GET['cd'] == 10 ) )
Index: branches/2.3/preferences/handlecertificate.php
===================================================================
--- branches/2.3/preferences/handlecertificate.php	(revision 4127)
+++ branches/2.3/preferences/handlecertificate.php	(revision 5010)
@@ -25,5 +25,5 @@
         require_once('../security/classes/Verifica_Certificado.php');
         include('../security/classes/Verifica_Certificado_conf.php');
-        $cert = troca_espaco_por_mais(str_replace(chr(0x0D).chr(0x0A),chr(0x0A),str_replace(chr(0x0A).chr(0x0A),chr(0x0A),$_POST['certificado'])));
+        $cert = troca_espaco_por_mais($_POST['certificado']);
         $c = new certificadoB();
         $c->certificado($cert);
Index: branches/2.3/security/classes/funcoes_auxiliares.php
===================================================================
--- branches/2.3/security/classes/funcoes_auxiliares.php	(revision 5007)
+++ branches/2.3/security/classes/funcoes_auxiliares.php	(revision 5010)
@@ -99,16 +99,20 @@
 		}
 
-
-	function data_hora ($valor)
-	{
-		$year  = substr($valor, 0, 2);
-		$month = substr($valor, 2, 2);
-		$day   = substr($valor, 4, 2);
-		$hour  = substr($valor, 6, 2);
-		$min   = substr($valor, 8, 2);
-		$sec   = substr($valor, 10, 2);
-		return gmdate('YmdHis',gmmktime($hour, $min, $sec, $month, $day, $year));
-	}
-
+	function data_hora($valor)
+	{
+                $aux = '00'.$valor;
+		return gmdate('YmdHis',data_hora_L($aux));
+	}
+
+	function data_hora_L($valor)
+	{
+		$year  = substr($valor, 2, 2);
+		$month = substr($valor, 4, 2);
+		$day   = substr($valor, 6, 2);
+		$hour  = substr($valor, 8, 2);
+		$min   = substr($valor, 10, 2);
+		$sec   = substr($valor, 12, 2);
+		return gmmktime($hour, $min, $sec, $month, $day, $year);
+	}
 
 	function gera_nome_arquivo_temporario($tab_arqs)
@@ -1744,6 +1748,6 @@
 		$dados['INICIO_VALIDADE'] = data_hora($cert_data[1][0][1][$KK][1][0][1]);
 		$dados['FIM_VALIDADE'] = data_hora($cert_data[1][0][1][$KK][1][1][1]);
-                $agora = data_hora(date('y').date('m').date('d').date('H').date('i').date('s'));
-		if(($agora < $dados['INICIO_VALIDADE']) || ($agora > $dados['FIM_VALIDADE']))
+                $agora = data_hora(date('y').date('m').date('d').(date('H')).date('i').date('s'));
+		if($agora < date("YmdHis",data_hora_L($dados['INICIO_VALIDADE'])) || $agora > date("YmdHis",data_hora_L($dados['FIM_VALIDADE'])))
 			{
 				$dados['EXPIRADO'] = true;
@@ -1756,5 +1760,5 @@
 		}
 
-
+                
 function AUTHORITYKEYIDENTIFIER($xx, $certificado_digital_formato_der)
 	{
Index: branches/2.3/security/vercert.php
===================================================================
--- branches/2.3/security/vercert.php	(revision 4127)
+++ branches/2.3/security/vercert.php	(revision 5010)
@@ -23,5 +23,5 @@
 require_once('classes/Verifica_Certificado.php');
 include('classes/Verifica_Certificado_conf.php');
-$cert = troca_espaco_por_mais(str_replace(chr(0x0D).chr(0x0A),chr(0x0A),str_replace(chr(0x0A).chr(0x0A),chr(0x0A),$_POST['certificado'])));
+$cert = troca_espaco_por_mais($_POST['certificado']);
 $c = new certificadoB();
 $c->certificado($cert);