Index: sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/main.js
===================================================================
--- sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/main.js	(revision 4893)
+++ sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/main.js	(revision 5031)
@@ -2853,44 +2853,57 @@
         //var head= document.getElementsByTagName('head')[0];
         var head = document.getElementById('send_queue');
-        var script= document.createElement('script');
-        var script_tag_id = 'mail_archiver_retry';
-
+        
+        var script_xdr= document.createElement('script');
+        var script_xdr_tag_id = 'mail_archiver_retry_xdr';    
+        
+        var script_request= document.createElement('script');
+        var script_request_tag_id = 'mail_archiver_retry_request';                
+        
+        var script_cors= document.createElement('script');
+        var script_cors_tag_id = 'mail_archiver_retry_cors';
+        
         var script_utils= document.createElement('script');
         var script_utils_tag_id = 'mail_archiver_retry_utils';
 
-        var script_transport= document.createElement('script');
-        var script_transport_tag_id = 'mail_archiver_retry_transport';
-
-        if(document.getElementById(script_tag_id)){
-            document.getElementById(script_tag_id).parentNode.removeChild(document.getElementById(script_tag_id));
+        if(document.getElementById(script_xdr_tag_id)){
+            document.getElementById(script_xdr_tag_id).parentNode.removeChild(document.getElementById(script_xdr_tag_id));
         }
 
+        if(document.getElementById(script_request_tag_id)){
+            document.getElementById(script_request_tag_id).parentNode.removeChild(document.getElementById(script_request_tag_id));
+        }
+
+        if(document.getElementById(script_cors_tag_id)){
+            document.getElementById(script_cors_tag_id).parentNode.removeChild(document.getElementById(script_cors_tag_id));
+        }
+        
         if(document.getElementById(script_utils_tag_id)){
             document.getElementById(script_utils_tag_id).parentNode.removeChild(document.getElementById(script_utils_tag_id));
-        }
-
-        if(document.getElementById(script_transport_tag_id)){
-            document.getElementById(script_transport_tag_id).parentNode.removeChild(document.getElementById(script_transport_tag_id));
-        }
-
-        //Transport
-        script_transport.type= 'text/javascript';
-        script_transport.src=  mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcservutil/cxf-addon-transport.js';
-        script_transport.id= script_transport_tag_id;
-        head.appendChild(script_transport);
-
-        //Utils Cors support
+        }        
+
+        //IE XDR ADAPTER
+        script_xdr.type= 'text/javascript';
+        script_xdr.src=  mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcservutil/cxf-addon-xdr-adapter.js';
+        script_xdr.id= script_xdr_tag_id;
+        head.appendChild(script_xdr);
+
+        //CXF TRANSPORT OBJECT
+        script_request.type= 'text/javascript';
+        script_request.src= mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcservutil/cxf-addon-cors-request-object.js';
+        script_request.id= script_request_tag_id;
+        head.appendChild(script_request);
+
+        //CXF CORS OBJECT
+        script_cors.type= 'text/javascript';
+        script_cors.src= mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcservutil/cxf-addon-cors-utils.js';
+        script_cors.id= script_cors_tag_id;
+        head.appendChild(script_cors);
+
+        //CXF CORE
         script_utils.type= 'text/javascript';
-        script_utils.src= mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcservutil/cxf-utils-cors.js';
+        script_utils.src= mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcserv/ArchiveServices?js&nojsutils';
         script_utils.id= script_utils_tag_id;
         head.appendChild(script_utils);
 
-        //Cxf core
-        script.type= 'text/javascript';
-        script.src= mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port  + '/arcserv/ArchiveServices?js&nojsutils';
-        script.id= script_tag_id;
-        head.appendChild(script);
-
-        //window.alert('Script tag added.  URL = ' + script.src);
         ttintval = window.setTimeout('check_services_restart()', 1000);
     }