Index: trunk/filemanager/tp/expressowindow/xsl/historyFile.xsl
===================================================================
--- trunk/filemanager/tp/expressowindow/xsl/historyFile.xsl	(revision 3885)
+++ trunk/filemanager/tp/expressowindow/xsl/historyFile.xsl	(revision 5038)
@@ -14,10 +14,10 @@
 	<xsl:template match="file">
 		
-		<div style="font-size:10pt; margin: 6px;">
+		<div style="font-size:10pt; margin: 10px 6px 10px 6px; border-bottom:1px solid #000;">
 			<img src="{$path_filemanager}templates/default/images/button_info.png" style="margin-right: 5px;"/>
 			<label style="font-size:12px;font-weight:bold;"> <xsl:value-of select="$lang_history" /></label>
 		</div>
 		
-		<div style='margin:6px; width:{($width)-20}px ; height:{($height)-40}px; overflow-y: auto; text-align: left;'>
+		<div style='margin:6px; width:{($width)-20}px ; height:{($height)-80}px; overflow-y: auto; text-align: left;'>
 			<xsl:for-each select="info">
 				<div style="margin-bottom:10px;">
Index: trunk/filemanager/inc/class.vfs_functions.inc.php
===================================================================
--- trunk/filemanager/inc/class.vfs_functions.inc.php	(revision 3924)
+++ trunk/filemanager/inc/class.vfs_functions.inc.php	(revision 5038)
@@ -134,14 +134,33 @@
 		}
 		
+		function convertDateForm($pDate)
+		{
+			/**
+			 * Recebe a data no formato	 : aaaa-mm-dd
+			 * Retorna a data no formato : dd/mm/aaaa
+			 **/
+		
+			$cDate = date_parse($pDate);
+			$day   = ( strlen($cDate['day']) > 1 ) ? $cDate['day'] : "0".$cDate['day'];
+			$month = ( strlen($cDate['month']) > 1 ) ? $cDate['month'] : "0".$cDate['month'];
+			$year  = $cDate['year'];
+		
+			return $day."/".$month."/".$year;
+		}
+		
 		// String format is YYYY-MM-DD HH:MM
 		function dateString2timeStamp($string)
 		{
-			return mktime($string[11].$string[12],
-				$string[14].$string[15],
-				$string[17].$string[18], 
-				$string[5].$string[6], 
-				$string[8].$string[9],
-				$string[0].$string[1].
-				$string[2].$string[3]);
+			/**
+			 * Recebe a data no formato	 : aaaa-mm-dd
+			 * Retorna a data no formato : dd/mm/aaaa
+			 **/
+		
+			$cDate = date_parse($string);
+			$day   = ( strlen($cDate['day']) > 1 ) ? $cDate['day'] : "0".$cDate['day'];
+			$month = ( strlen($cDate['month']) > 1 ) ? $cDate['month'] : "0".$cDate['month'];
+			$year  = $cDate['year'];
+		
+			return $day."/".$month."/".$year;
 		}
 		
Index: trunk/filemanager/inc/class.uifilemanager.inc.php
===================================================================
--- trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 4284)
+++ trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 5038)
@@ -337,7 +337,4 @@
 		echo "<script src='" . $GLOBALS['phpgw_info']['flags']['currentapp'] . "/js/handler.js'></script>";
 		
-		//echo "<script src='" . $GLOBALS['phpgw_info']['flags']['currentapp'] . "/js/NewHandler.js'></script>";
-
-
 		// Temas Expresso
 		$theme = "window_" . $GLOBALS['phpgw_info']['user']['preferences']['common']['theme'] . ".css";
@@ -529,22 +526,24 @@
 	}
 
-	function dir_ls() {
+	function dir_ls()
+	{
 		// change dir to this->path
 		$this->bo->vfs->cd(array('string' => $this->path, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
 		$return['permissions'] = $this->get_permissions();
-		$return['quota']['usedSpace'] = $this->bo->vfs->get_size(array(
+		/*$return['quota']['usedSpace'] = $this->bo->vfs->get_size(array(
 						'string' => $this->path,
 						'relatives' => array(RELATIVE_NONE)
-				  ));
-		$return['files_count'] = $this->bo->vfs->count_files(array(
-						'string' => $this->path,
-				  ));
-		$quota = $this->bo->vfs->get_quota(array(
-						'string' => $this->path
-				  ));
+				  ));*/
+		
+		$return['quota']['usedSpace'] = $this->bo->vfs->get_size_all( $GLOBALS['phpgw_info']['user']['account_id'] );
+		$return['files_count'] = $this->bo->vfs->count_files(array( 'string' => $this->path ));
+		
+		$quota = $this->bo->vfs->get_quota(array('string' => $this->bo->homedir ));
+		
 		reset($this->files_array);
 		$this->readFilesInfo();
 
-		for ($i = 0; $i != $this->numoffiles; $i++) {
+		for ($i = 0; $i != $this->numoffiles; $i++)
+		{
 			$files = $this->files_array[$i];
 
@@ -554,8 +553,10 @@
 			/* small keys to safe bandwidth */
 			$tuple['name'] = htmlentities($files['name']);
-			if ($_SESSION['phpgw_info']['user']['preferences']['filemanager']['viewIcons'] == 1) {
+			if ($_SESSION['phpgw_info']['user']['preferences']['filemanager']['viewIcons'] == 1) 
+			{
 				if ($files['mime_type'] == 'image/png' ||
 						  $files['mime_type'] == 'image/gif' ||
-						  $files['mime_type'] == 'image/jpg') {
+						  $files['mime_type'] == 'image/jpg')
+				{
 					$filename = str_replace('=', '', base64_encode($tuple['name']));
 					$pathname = str_replace('=', '', base64_encode($this->path));
@@ -1000,5 +1001,5 @@
 				{
 					$historyFile[] = array(
-											"created"	=> $journal_entry['created'],
+											"created"	=> $this->vfs_functions->dateString2timeStamp($journal_entry['created']),
 											"version"	=> $journal_entry['version'],
 											"who"		=> $GLOBALS['phpgw']->accounts->id2name($journal_entry['owner_id']),
Index: trunk/filemanager/js/drag_area.js
===================================================================
--- trunk/filemanager/js/drag_area.js	(revision 3436)
+++ trunk/filemanager/js/drag_area.js	(revision 5038)
@@ -1,6 +1,7 @@
-var agt=navigator.userAgent.toLowerCase();
-var is_ie     = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
+/*var agt		= navigator.userAgent.toLowerCase();
+var is_ie	= ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
 
-function DragArea(){
+function DragArea()
+{
 	this.pressed = 0;
 	this.resizing = 0;
@@ -54,4 +55,3 @@
 }
 
-
-var _dragArea = new DragArea();
+var _dragArea = new DragArea();*/
Index: trunk/filemanager/js/draw_api.js
===================================================================
--- trunk/filemanager/js/draw_api.js	(revision 3936)
+++ trunk/filemanager/js/draw_api.js	(revision 5038)
@@ -50,10 +50,10 @@
 			var pArgs = 
 			{
-				'lang_created'	: get_lang("Created"),
+				'lang_created'		: get_lang("Created"),
 				'lang_operation'	: get_lang("Operation"),
-				'lang_version'	: get_lang("Version"),
-				'lang_who'		: get_lang("Who"),
-				'lang_history'	: get_lang("File history"),
-				'height'				: 300,
+				'lang_version'		: get_lang("Version"),
+				'lang_who'			: get_lang("Who"),
+				'lang_history'		: get_lang("File history"),
+				'height'			: 300,
 				'path_filemanager'	: path_filemanager,
 				'width'				: 450			
@@ -87,9 +87,9 @@
 	var ACL_PRIVATE = 16;
 
-	permissions['read']=(permission & ACL_READ);
-	permissions['add']=(permission & ACL_ADD);
-	permissions['edit']=(permission & ACL_EDIT);
-	permissions['delete']=(permission & ACL_DELETE);
-	permissions['private']=(permission & ACL_PRIVATE);
+	permissions['read']		= (permission & ACL_READ);
+	permissions['add']		= (permission & ACL_ADD);
+	permissions['edit']		= (permission & ACL_EDIT);
+	permissions['delete']	= (permission & ACL_DELETE);
+	permissions['private']	= (permission & ACL_PRIVATE);
 	toolbar.load();
 }
@@ -150,18 +150,12 @@
 	}
 
-	var _optionsItens 				= document.createElement("div");
+	var _optionsItens 			= document.createElement("div");
 	_optionsItens.id			= "fastMenuFileManager";
 	_optionsItens.className		= "x-menu";
 	_optionsItens.style.zIndex	= zIndex++;
 	_optionsItens.innerHTML		= _itens;
-	_optionsItens.onclick		= function(){
-		showHidden.hiddenObject(false);
-	};
-	_optionsItens.onmouseout	= function(){
-		showHidden.hiddenObject(false);
-	};
-	_optionsItens.onmouseover	= function(){
-		showHidden.hiddenObject(true);
-	};	
+	_optionsItens.onclick		= function(){ showHidden.hiddenObject(false); };
+	_optionsItens.onmouseout	= function(){ showHidden.hiddenObject(false); };
+	_optionsItens.onmouseover	= function(){ showHidden.hiddenObject(true); };	
 							  
 	showHidden.action('onmouseover', 'onmouseout', _optionsItens);
@@ -321,5 +315,6 @@
 folderList.prototype.createLine = function(file){
 	var fl = folderList;
-	retBuff = '<tr id="line_'+file.name+'" onmouseout="clearTimeout(menuTimeout)" onmousedown="_dragArea.dragEl=this;_dragArea.operation=\'drag\'">';
+	//retBuff = '<tr id="line_'+file.name+'" onmouseout="clearTimeout(menuTimeout)" onmousedown="_dragArea.dragEl=this;_dragArea.operation=\'drag\'">';
+	retBuff = '<tr id="line_'+file.name+'">';
 	retBuff += fl.td;
 	retBuff += '<input name="fileman" value="'+file.name+'" type="checkbox"></td>';