Index: trunk/mobile/templates/default/pc_template.tpl
===================================================================
--- trunk/mobile/templates/default/pc_template.tpl	(revision 4277)
+++ trunk/mobile/templates/default/pc_template.tpl	(revision 5043)
@@ -95,5 +95,5 @@
 			<p>Projeto ExpressoLivre 2004 - 2010 :: Licen&ccedil;a de Software</p>
 			<p><a href="index.php?menuaction=mobile.ui_home.change_template&template=mini_mobile">{lang_mini_mobile}</a></p>
-			<p><a href="/index.php">Versão Clássica</a></p>
+			<p><a href="{url_expresso}?dont_redirect_if_moble=1">Versão Clássica</a></p>
 		</div>
 	</body>
Index: trunk/mobile/templates/default/login.tpl
===================================================================
--- trunk/mobile/templates/default/login.tpl	(revision 5037)
+++ trunk/mobile/templates/default/login.tpl	(revision 5043)
@@ -22,67 +22,69 @@
 				document.getElementById("max_resolution").value = ((screen.width >= screen.height) ? screen.width : screen.height);
 
-				verifyBrowser( form );
-				
 				return true;
 			}
 
-			function verifyBrowser(form)
+			function messageHidden(Element)
 			{
-				if('{os_browser}' != false){
-					if(window.confirm("Você está acessando de um {os_browser}. Deseja salvar usuário e senha neste dispositivo?")) {
-						form.save_login.value = 'yes';
-					}
-				}
+				var _div = document.getElementById(Element);
+				
+				setTimeout(function()
+				{
+					_div.style.display = "none";
+					
+				}, 10000 );
 			}
 
 		</script>
 	</head>
-
-	<body>
-		<div class="topo">
-        	<h1>{website_title} - {lang_login}</h1>
+	<body style="background:url(templates/default/images/back_pagina.jpg) repeat-x #fff;">
+		<div id="divSuperior">
+			<div style="height: 20px; font-size:small;">
+				{message_box}
+			</div>
+			<div >
+				<form name="form_login" method="post" action="./login.php" id="login_form" autocomplete=off onSubmit="return validate_login(this);">
+					<input type="hidden" name="max_resolution" id="max_resolution" value="">
+					<input type="hidden" name="passwd_type" value="text">
+					<input type="hidden" name="account type" value="u">
+					<!-- input type="hidden" name="save_login" value="no" -->
+					<label>{lang_username}:</label><br/>
+					<input id="login" name="login"/><br/>
+					<label>{lang_password}:</label><br/>
+					<input id="passwd" name="passwd" type="password" autocomplete=off/><br/>
+					<input type="checkbox" name="save_login"/>
+					<label style="color:#909090;">Mantenha-me conectado</label>
+					<div style="margin-top:20px;">
+						<button id="formButton" name="submitit" style="margin-top:5px" type="submit">{lang_login}</button>
+					</div>
+				</form>
+			</div>
+			<div class="rodape" style="float:left; margin-top: 10px;">
+				<a href="{url_expresso}login.php?dont_redirect_if_moble=1">Versão Clássica</a>
+			</div>
 		</div>
-
-		{message_box}
+		 
+		<div id="divInferior">
+			&nbsp;
+		</div>
 		
-		<form name="form_login" method="post" action="./login.php" id="login_form" autocomplete=off onSubmit="return validate_login(this);">
-			<input type="hidden" name="max_resolution" id="max_resolution" value="">
-			<input type="hidden" name="passwd_type" value="text">
-			<input type="hidden" name="account type" value="u">
-			<input type="hidden" name="save_login" value="no">
-			<dt id="lista_miolo">
-				<div class="login">
-					<strong>{lang_username}:</strong><br/>
-					<input name="login" id="login"/><br/>
-					<strong>{lang_password}:</strong><br/>
-					<input name="passwd" type="password" autocomplete=off/><br/>
-					<button name="submitit" class="btn-contexto" style="margin-top:5px" type="submit">{lang_login}</button>
-				</div>
-			</dt>
-			
-		</form>
-
-		<div class="rodape">Projeto ExpressoLivre 2004 - 2010 :: Licen&ccedil;a de Software</div>
-		<div class="rodape center"><a href="/login.php?dont_redirect_if_moble=1">Versão Clássica</a></div>
 	</body>
 </html>
-
 <script type="text/javascript">
 	document.getElementById('login').focus();
 </script>
+<!-- END page -->
 
-<!-- END page -->
 <!-- BEGIN success_message -->
-<div class="bg-neutro">
-	<div class="aviso-positivo">
-		<strong>{message}</strong>
-	</div>
+<div id="success_message">
+	<label style="color:red;">{message}</label>
+	<script>messageHidden("success_message");</script>
 </div>
 <!-- END success_message -->
+
 <!-- BEGIN error_message -->
-<div class="bg-neutro">
-	<div class="aviso-negativo">
-		<strong>{message}</strong>
-	</div>
+<div id="error_message">
+	<label style="color:red;">{message}</label>
+	<script>messageHidden("error_message");</script>
 </div>
 <!-- END error_message -->
Index: trunk/mobile/templates/default/template.tpl
===================================================================
--- trunk/mobile/templates/default/template.tpl	(revision 4277)
+++ trunk/mobile/templates/default/template.tpl	(revision 5043)
@@ -13,5 +13,5 @@
 			<div style="position:absolute; float:left; width:50%;">
 				<div style="position:relative; float:left;">
-					<h1 onclick="window.location='index.php?menuaction=mobile.ui_home.index'">{global_title}</h1>
+					<h1 onclick="document.location='index.php?menuaction=mobile.ui_home.index'">{global_title}</h1>
 				</div>
 			</div>
@@ -19,9 +19,9 @@
 			<div style="position:relative; float:right; width:50%; margin:2px;">
 				<div style="{style_1}">
-					<h1 onclick="window.location='index.php?menuaction=mobile.ui_home.dicas'">Dicas</h1>
+					<h1 onclick="document.location='index.php?menuaction=mobile.ui_home.dicas'">{lang_tips}</h1>
 				</div>
 				
 				<div style="{style_2}">
-					<h1 onclick="window.location='{href_logout}'">{lang_logout}</h1>
+					<h1 onclick="document.location='{href_logout}'">{lang_logout}</h1>
 				</div>
 			</div>
Index: trunk/mobile/templates/default/home_index.tpl
===================================================================
--- trunk/mobile/templates/default/home_index.tpl	(revision 4359)
+++ trunk/mobile/templates/default/home_index.tpl	(revision 5043)
@@ -42,36 +42,36 @@
 		{default_folders_box}
 		<dd>
-			<a href="javascript:expand_folders()" class="email-item" style="font-size:12pt;">
-                <div class="limpar_div resultado-titulo">
-                    <label width="100%">
-                        <input type="checkbox" name="personal_folders" value='1' id="search_personal_folders"/>
-							{lang_my_folders}
-                    </label>
-				</div>
-            </a>
+	    	<div class="limpar_div resultado-titulo">
+	    		<input type="checkbox" name="personal_folders" value='1' id="search_personal_folders"/>
+		    	<label>
+		    		<a href="javascript:expand_folders()" class="email-item" style="font-size:12pt;">
+		    			{lang_my_folders}
+		    		</a>	
+		    	</label>    		
+	    	</div>
 		</dd>
 	  	<span id="personal_folder_box" style="display: none;">
 			{personal_folders_box}
 	   	</span>		
-		<dd>
-			<a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item" style="font-size:12pt;"> 
- 		        <div class="limpar_div resultado-titulo"> 
- 		            <label> 
-						<input type="checkbox" name="calendar_search" value='1' id="search_calendar_search">
+		<dd>			
+			<div class="limpar_div resultado-titulo">
+				<label>
+					<input type="checkbox" name="calendar_search" value='1' id="search_calendar_search">	
+					<a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item" style="font-size:12pt;">
 						{lang_my_commitments}
-					</label> 
- 		        </div> 
- 		    </a> 
+					</a>
+				</label>
+			</div>	
 		</dd>
 		{commitments_box}
-		<dd>
-			<a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item" style="font-size:12pt;"> 
- 		        <div class="limpar_div resultado-titulo"> 
- 		            <label> 
-						<input type="checkbox" name="contacts_search" value='1' id="search_contacts_search"> 
- 		                {lang_my_contacts} 
- 		            </label> 
- 		        </div> 
- 		    </a> 
+		<dd>			
+    		<div class="limpar_div resultado-titulo">
+    			<label>
+    				<input type="checkbox" name="contacts_search" value='1' id="search_contacts_search">
+    				<a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item" style="font-size:12pt;">
+    					{lang_my_contacts}
+    				</a>
+    			</label>
+    		</div>
 		</dd>
 	</dl>
@@ -81,6 +81,6 @@
 <!-- END page -->
 <!-- BEGIN folder_block -->
-<a href="index.php?menuaction=mobile.ui_mobilemail.change_folder&folder={folder_id}"> 
- 	<dd class="{folder_class}" style="clear:both">
+<a href="index.php?menuaction=mobile.ui_mobilemail.change_folder&folder={folder_id}">
+	<dd class="{folder_class}" style="clear:both">
 		<div class="nome-item"><span>{folder_name}</span></div>
 		<div class="contagem">[{folder_unseen}/{folder_total_msg}]</div> 