Index: unk/jabberit_messenger/jmessenger/xsl/navigatorCompatible.xsl
===================================================================
--- /trunk/jabberit_messenger/jmessenger/xsl/navigatorCompatible.xsl	(revision 3228)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-	<xsl:output method="html" omit-xml-declaration="yes"/>
-
-	<xsl:param name="path_jabberit" />
-
-	<xsl:template match="navigator">
-
-
-		<div style="font:9pt; margin:2px 5px 2px 5px; text-align:justify;">
-			<p>
-			Seu navegador Ã© <span style="color:red;font-weight: bold;">incompatÃ­vel</span> 
-			com o serviÃ§o de mensagem instantÃ¢nea do expresso.
-			Favor instalar ou atualizar a versÃ£o do seu navegador,
-			solicite a sua Ã¡rea de suporte local a instalaÃ§Ã£o.
-			</p>
-		</div>
-		
-		<div style="height: 285px; font:9pt; margin:0px 5px 2px 5px; text-align: justify; overflow-y:scroll;">
-			<p style="font-weight:bold;">:: Navegadores CompatÃ­veis ::</p>
-			
-			<fieldset style="margin-bottom:10px;">
-				<legend><img src="{$path_jabberit}templates/default/images/compatible_epiphany.png" align="middle"/><span style="margin:5px;">Epiphany</span></legend>
-				<span> VersÃ£o : 2.22 ou superior </span><br/>
-				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
-			</fieldset>
-			
-			<fieldset style="margin-bottom:10px;">
-				<legend><img src="{$path_jabberit}templates/default/images/compatible_iceweasel.png" align="middle"/><span style="margin:5px;">Iceweasel</span></legend>
-				<span> VersÃ£o : 3.06 ou superior </span><br/>
-				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
-			</fieldset>
-			
-			<fieldset style="margin-bottom:10px;">
-				<legend><img src="{$path_jabberit}templates/default/images/compatible_ie.gif" align="middle" /><span style="margin:5px;">Internet Explorer ( IE )</span></legend>
-				<span> VersÃ£o : 8.0 </span><br/>
-				<span> AvaliaÃ§Ã£o : Recomendado</span>
-			</fieldset>
-		
-			<fieldset>
-				<legend><img src="{$path_jabberit}templates/default/images/compatible_firefox.gif" align="middle"/><span style="margin:5px;">Mozilla Firefox</span></legend>
-				<span> VersÃ£o : 3.0 ou superior </span><br/>
-				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
-			</fieldset>
-		</div>		
-		
-	</xsl:template>
-
-</xsl:stylesheet>
Index: unk/jabberit_messenger/jmessenger/js/xtools.mini.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/xtools.mini.js	(revision 3687)
+++ 	(revision )
@@ -1,49 +1,0 @@
-(function()
-{var _FILES=[];function _convert(pString)
-{if(typeof pString!='string')
-return false;if(window.ActiveXObject)
-{var _xmlDoc=new ActiveXObject("Microsoft.XMLDOM");_xmlDoc.async="false";_xmlDoc.loadXML(pString);}
-else
-{var parser=new DOMParser();var _xmlDoc=parser.parseFromString(pString,"text/xml");}
-return _xmlDoc;}
-function _load(pFile)
-{pFile=this._PATH+'xsl/'+pFile;if(!(_FILES[pFile]))
-{var _data=null;if(document.implementation.createDocument)
-{var xmlHttp=new window.XMLHttpRequest();xmlHttp.open("GET",pFile+'?'+Date.parse(new Date),false);xmlHttp.send(null);_data=xmlHttp.responseXML.documentElement;}
-else
-{_data=new ActiveXObject("Msxml2.FreeThreadedDOMDocument");_data.async=false;_data.load(pFile+'?'+Date.parse(new Date));}
-_FILES[pFile]=_data;}
-return _FILES[pFile];}
-function _parse()
-{if(arguments.length==1)
-{pXML=_xml('root');pXSL=arguments[0];}
-else
-{pXML=arguments[0];pXSL=arguments[1];}
-switch(typeof pXML)
-{case'object':break;case'string':if(pXML.indexOf('<')==0)
-pXML=_convert(pXML);else
-pXML=_load.call(this,pXML);break;default:return{'error':'invalid xml'}}
-switch(typeof pXSL)
-{case'object':break;case'string':pXSL=_load.call(this,pXSL);break;default:return{'error':'invalid xsl'}}
-var fragment=null;if(window.XSLTProcessor)
-{var xslProc=new XSLTProcessor();xslProc.importStylesheet(pXSL);if((arguments.length==3)&&(typeof arguments[2]=='object'))
-{var params=arguments[2];for(var i in params)
-if(params[i]&&params[i].constructor!=Function)
-xslProc.setParameter(null,String(i),String(params[i]));}
-fragment=xslProc.transformToFragment(pXML,document);var aux=document.createElement("div");aux.appendChild(fragment);fragment=aux.innerHTML;}
-else
-{var xslTemplate=new ActiveXObject("MSXML2.XSLTemplate");xslTemplate.stylesheet=pXSL;var xslProc=xslTemplate.createProcessor();xslProc.input=pXML;if((arguments.length==3)&&(typeof arguments[2]=='object'))
-{var params=arguments[2];for(var i in params)
-if(params[i]&&params[i].constructor!=Function)
-{xslProc.addParameter(String(i),String(params[i]),'');}}
-xslProc.transform();fragment=xslProc.output;}
-return fragment;}
-function _xml()
-{var a=false;if(document.implementation.createDocument)
-a=document.implementation.createDocument("","",null);else if(ActiveXObject)
-a=new ActiveXObject("Msxml2.DOMDocument");if(arguments.length==1&&typeof arguments[0]=='string')
-a.appendChild(a.createElement(arguments[0]));return a;}
-function xtools()
-{var _argv=arguments;this._PATH=(_argv.length>0)?_argv[0]:'';if(this._PATH!=''&&this._PATH.lastIndexOf('/')!=(this._PATH.length-1))
-this._PATH+='/';}
-xtools.prototype.convert=_convert;xtools.prototype.load=_load;xtools.prototype.parse=_parse;xtools.prototype.xml=_xml;window.xtools=xtools;})();
Index: unk/jabberit_messenger/jmessenger/js/xtools.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/xtools.js	(revision 3687)
+++ 	(revision )
@@ -1,168 +1,0 @@
-(function()
-{
-	var _FILES = [];
-
-	function _convert(pString)
-	{
-		if ( typeof pString != 'string' )
-			return false;
-
-		if ( window.ActiveXObject )
-		{
-			var _xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
-			_xmlDoc.async = "false";
-			_xmlDoc.loadXML(pString);
-		}
-		else
-		{
-			var parser = new DOMParser();
-			var _xmlDoc = parser.parseFromString( pString, "text/xml" );
-		}
-
-		return _xmlDoc;
-	}
-
-	function _load(pFile)
-	{
-		pFile = this._PATH + 'xsl/' + pFile;
-		if ( !(_FILES[pFile]) )
-		{
-			var _data = null;
-			
-			if ( document.implementation.createDocument )
-			{
-				var xmlHttp = new window.XMLHttpRequest();
-					xmlHttp.open("GET",pFile + '?' + Date.parse(new Date),false );
-					xmlHttp.send(null);
-				
-				_data = xmlHttp.responseXML.documentElement;
-			}
-			else
-			{
-				_data = new ActiveXObject( "Msxml2.FreeThreadedDOMDocument" );
-				_data.async = false;
-				_data.load( pFile + '?' + Date.parse(new Date) );
-			}
-
-			_FILES[pFile] = _data;
-		}
-		return _FILES[pFile];
-	}
-
-	function _parse()
-	{
-		if ( arguments.length == 1 )
-		{
-			pXML = _xml('root');
-			pXSL = arguments[0];
-		}
-		else
-		{
-			pXML = arguments[0];
-			pXSL = arguments[1];
-		}
-		
-		switch ( typeof pXML )
-		{
-			case 'object' :
-			break;
-			case 'string' :
-				if ( pXML.indexOf('<') == 0 )
-					pXML = _convert(pXML);
-				else
-					pXML = _load.call(this, pXML);
-			break;
-			default :
-				return { 'error' : 'invalid xml' } 
-		}
-		
-		switch ( typeof pXSL )
-		{
-			case 'object' :
-			break;
-			case 'string' :
-				pXSL = _load.call(this, pXSL);
-			break;
-			default :
-				return {'error':'invalid xsl'}
-		}
-
-		var fragment = null;
-		
-		if ( window.XSLTProcessor )
-		{
-			var xslProc = new XSLTProcessor();
-			xslProc.importStylesheet(pXSL);
-
-			if ( (arguments.length == 3) && (typeof arguments[2] == 'object') )
-			{
-				var params = arguments[2];
-				for (var i in params )
-					if ( params[ i ] && params[ i ].constructor != Function )
-						xslProc.setParameter(null, String( i ), String( params[i] ) );
-			}
-
-			fragment = xslProc.transformToFragment(pXML, document);
-
-			// para retornar valor igual ao ie.
-			var aux = document.createElement("div");
-			aux.appendChild(fragment);
-			fragment = aux.innerHTML;
-		}
-		else
-		{
-			var xslTemplate = new ActiveXObject("MSXML2.XSLTemplate");
-			xslTemplate.stylesheet = pXSL;
-
-			var xslProc = xslTemplate.createProcessor();
-			xslProc.input = pXML;
-
-			if ( (arguments.length == 3) && (typeof arguments[2] == 'object') )
-			{
-				var params = arguments[2];
-				for (var i in params )
-					if ( params[ i ] && params[ i ].constructor != Function )
-					{
-						xslProc.addParameter( String( i ), String( params[i] ), '');
-					}
-			}
-
-			xslProc.transform();
-			fragment = xslProc.output;
-		}
-		return fragment;
-	}
-
-	function _xml()
-	{
-		var a = false;
-		if ( document.implementation.createDocument )
-			a = document.implementation.createDocument("", "", null);
-		else if ( ActiveXObject )
-			a = new ActiveXObject("Msxml2.DOMDocument");
-
-		if ( arguments.length == 1 && typeof arguments[0] == 'string' )
-			a.appendChild(a.createElement(arguments[0]));
-		//with ( a )
-		//	appendChild(createProcessingInstruction("xml", "version='1.0'"));
-
-		return a;
-	}
-
-	function xtools()
-	{
-		var _argv = arguments;
-		this._PATH = ( _argv.length > 0 ) ? _argv[0] : '';
-
-		if ( this._PATH != '' && this._PATH.lastIndexOf('/') != (this._PATH.length - 1) )
-			this._PATH += '/';
-	}
-
-	xtools.prototype.convert	= _convert;
-	xtools.prototype.load		= _load;
-	xtools.prototype.parse		= _parse;
-	xtools.prototype.xml		= _xml;
-	
-	window.xtools = xtools;
-}
-)();
Index: unk/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js	(revision 4360)
+++ 	(revision )
@@ -1,17 +1,0 @@
-(function()
-{var agt=navigator.userAgent.toLowerCase();var appVer=navigator.appVersion.toLowerCase();var is_minor=parseFloat(appVer);var is_major=parseInt(is_minor);var iePos=appVer.indexOf('msie');if(iePos!=-1)
-{is_minor=parseFloat(appVer.substring(iePos+5,appVer.indexOf(';',iePos)));is_major=parseInt(is_minor);}
-var is_konq=false;var kqPos=agt.indexOf('konqueror');if(kqPos!=-1)
-{is_konq=true;is_minor=parseFloat(agt.substring(kqPos+10,agt.indexOf(';',kqPos)));is_major=parseInt(is_minor);}
-var is_khtml=(((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))&&(is_konq));var is_opera=(agt.indexOf("opera")!=-1);var is_ie=((iePos!=-1)&&(!is_opera)&&(!is_khtml));var is_gecko=((!is_khtml)&&(navigator.product)&&(navigator.product.toLowerCase()=="gecko"))?true:false;var is_gver=0;if(is_gecko)
-is_gver=navigator.productSub;var is_moz=((agt.indexOf('mozilla/5')!=-1)&&(agt.indexOf('spoofer')==-1)&&(agt.indexOf('compatible')==-1)&&(agt.indexOf('opera')==-1)&&(agt.indexOf('webtv')==-1)&&(agt.indexOf('hotjava')==-1)&&(is_gecko)&&((navigator.vendor=="")||(navigator.vendor=="Mozilla")));var _browser=[['chrome8',(agt.indexOf('chrome/8')!=-1)],['epiphany2',(agt.indexOf('epiphany/2')!=-1)],['firefox1',(agt.indexOf('firefox/1')!=-1)],['firefox2',(agt.indexOf('firefox/2')!=-1)],['firefox3',(agt.indexOf('firefox/3')!=-1)],['firefox4',(agt.indexOf('firefox/4')!=-1)],['iceweasel3',(agt.indexOf('iceweasel/3')!=-1)],['ie3',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major<4))],['ie4',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==4))],['ie5',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==5))],['ie55',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(agt.indexOf("msie 5.5")!=-1))],['ie6',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==6))],['ie7',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==7))],['ie8',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==8))],['is_ie',((iePos!=-1)&&(!is_opera)&&(!is_khtml))],['is_gecko',is_gecko],['is_opera',is_opera],['is_khtml',is_khtml],['is_moz',is_moz],['is_opera',is_opera],['opera2',(agt.indexOf("opera 2")!=-1||agt.indexOf("opera/2")!=-1)],['opera3',(agt.indexOf("opera 3")!=-1||agt.indexOf("opera/3")!=-1)],['opera4',(agt.indexOf("opera 4")!=-1||agt.indexOf("opera/4")!=-1)],['opera5',(agt.indexOf("opera 5")!=-1||agt.indexOf("opera/5")!=-1)],['opera6',(agt.indexOf("opera 6")!=-1||agt.indexOf("opera/6")!=-1)],['opera7',(agt.indexOf("opera 7")!=-1||agt.indexOf("opera/7")!=-1)],['opera8',(agt.indexOf("opera 8")!=-1||agt.indexOf("opera/8")!=-1)],['opera9',(agt.indexOf("opera 9")!=-1||agt.indexOf("opera/9")!=-1)],['safari',((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))],['khtml',is_khtml]];function isCompatible() 
-{if(arguments.length>0)
-{var _args=arguments;for(i=0;i<_args.length;i++)
-{for(j=0;j<_browser.length;j++)
-{if(_args[i].toLowerCase()===_browser[j][0])
-{if(_browser[j][1])
-return true;}}}
-return false;}}
-function SnifferBrowser()
-{}
-SnifferBrowser.prototype.isCompatible=isCompatible;window.SnifferBrowser=new SnifferBrowser;})();
Index: unk/jabberit_messenger/jmessenger/js/SnifferBrowser.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/SnifferBrowser.js	(revision 4360)
+++ 	(revision )
@@ -1,130 +1,0 @@
-(function()
-{		
-	// NAVIGATOR USER AGENT
-	var agt 		= navigator.userAgent.toLowerCase();
-	var appVer		= navigator.appVersion.toLowerCase();
-
-	var is_minor	= parseFloat(appVer);
-	var is_major	= parseInt(is_minor);
-	
-	var iePos		= appVer.indexOf('msie');
-    
-	if ( iePos != -1 )
-    {
-       is_minor = parseFloat(appVer.substring(iePos+5,appVer.indexOf(';',iePos)));
-       is_major = parseInt(is_minor);
-    }
-
-    //Konqueror
-
-    var is_konq = false;
-    var kqPos   = agt.indexOf('konqueror');
-    if ( kqPos !=-1 )
-    {
-       is_konq  = true;
-       is_minor = parseFloat(agt.substring(kqPos+10,agt.indexOf(';',kqPos)));
-       is_major = parseInt(is_minor);
-    }
-	
-    //Is_Khtml
-    var is_khtml 	= (((agt.indexOf('safari')!=-1) && (agt.indexOf('mac')!=-1)) && ( is_konq ));
-    
-    //Is_Opera
-    var is_opera	= (agt.indexOf("opera") != -1 );
-    
-    //Is_IE
-    var is_ie		= ((iePos!=-1) && (!is_opera) && (!is_khtml));
-    
-    // Gecko
-    var is_gecko = ((!is_khtml)&&(navigator.product)&&(navigator.product.toLowerCase()=="gecko"))?true:false;
-    var is_gver  = 0;
-    if (is_gecko)
-    	is_gver = navigator.productSub;
-
-    // Moz
-    var is_moz   = ((agt.indexOf('mozilla/5')!=-1) && (agt.indexOf('spoofer')==-1) &&
-            (agt.indexOf('compatible')==-1) && (agt.indexOf('opera')==-1)  &&
-            (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1)     &&
-            (is_gecko) &&
-            ((navigator.vendor=="")||(navigator.vendor=="Mozilla")));
-
-    var _browser = [
-	
-   	        // Chrome	
-   	    	['chrome8', ( agt.indexOf('chrome/8') != -1 ) ],
-	        
-	        // EPIPHANY	
-	    	['epiphany2', ( agt.indexOf('epiphany/2') != -1 ) ],
-	
-	    	// FIREFOX
-			['firefox1', ( agt.indexOf('firefox/1') != -1 ) ],
-			['firefox2', ( agt.indexOf('firefox/2') != -1 ) ],
-			['firefox3', ( agt.indexOf('firefox/3') != -1 ) ],
-			['firefox4', ( agt.indexOf('firefox/4') != -1 ) ],
-	
-			// ICEWEASEL
-			['iceweasel3', (agt.indexOf('iceweasel/3') != -1 ) ],
-		
-			// IE
-			['ie3',	(((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major < 4 )) ],
-			['ie4', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 4 )) ],
-			['ie5', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 5 )) ],
-			['ie55', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (agt.indexOf("msie 5.5") !=-1 )) ], 
-			['ie6', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 6 )) ],
-			['ie7', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 7 )) ],
-			['ie8', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 8 )) ],
-
-			//IS?
-			['is_ie', ((iePos!=-1) && (!is_opera) && (!is_khtml)) ],
-			['is_gecko', is_gecko ],
-			['is_opera', is_opera ],
-			['is_khtml', is_khtml ],
-			['is_moz', is_moz ],
-			
-			// OPERA
-			['is_opera', is_opera],
-			['opera2', ( agt.indexOf("opera 2") != -1 || agt.indexOf("opera/2") != -1) ],
-			['opera3', ( agt.indexOf("opera 3") != -1 || agt.indexOf("opera/3") != -1) ],
-			['opera4', ( agt.indexOf("opera 4") != -1 || agt.indexOf("opera/4") != -1) ],
-			['opera5', ( agt.indexOf("opera 5") != -1 || agt.indexOf("opera/5") != -1) ],
-			['opera6', ( agt.indexOf("opera 6") != -1 || agt.indexOf("opera/6") != -1) ],
-			['opera7', ( agt.indexOf("opera 7") != -1 || agt.indexOf("opera/7") != -1) ],
-			['opera8', ( agt.indexOf("opera 8") != -1 || agt.indexOf("opera/8") != -1) ],
-			['opera9', ( agt.indexOf("opera 9") != -1 || agt.indexOf("opera/9") != -1) ],
-    
-			// IS SAFARI/KHTML
-			['safari', ((agt.indexOf('safari')!=-1) && (agt.indexOf('mac')!=-1)) ],
-			['khtml', is_khtml ]
-	];
-	
-    function isCompatible()
-    {
-    	if( arguments.length > 0 )
-    	{
-    		var _args = arguments;
-    		
-    		for( i = 0; i < _args.length; i++ )
-    		{
-    			for( j = 0; j < _browser.length; j++ )
-    			{
-    				if( _args[i].toLowerCase() === _browser[j][0] )
-    				{
-    					if( _browser[j][1] )
-    						return true;
-    				}
-    			}	
-    		}
-    		
-    		return false;
-    	}
-    }
-    
-	function SnifferBrowser()
-	{
-	}
-
-	SnifferBrowser.prototype.isCompatible = isCompatible;
-	
-	window.SnifferBrowser = new SnifferBrowser;
-	
-})();
Index: unk/jabberit_messenger/js/xtools.js
===================================================================
--- /trunk/jabberit_messenger/js/xtools.js	(revision 3687)
+++ 	(revision )
@@ -1,164 +1,0 @@
-(function()
-{
-	var _FILES = [];
-
-	function _convert(pString)
-	{
-		if ( typeof pString != 'string' )
-			return false;
-
-		if ( window.ActiveXObject )
-		{
-			var _xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
-			_xmlDoc.async = "false";
-			_xmlDoc.loadXML(pString);
-		}
-		else
-		{
-			var parser = new DOMParser();
-			var _xmlDoc = parser.parseFromString( pString, "text/xml" );
-		}
-
-		return _xmlDoc;
-	}
-
-	function _load(pFile)
-	{
-		pFile = this._PATH + 'xsl/' + pFile;
-		if ( !(_FILES[pFile]) )
-		{
-			var _data = null;
-			
-			if ( document.implementation.createDocument )
-			{
-				var xmlHttp = new window.XMLHttpRequest();
-					xmlHttp.open("GET",pFile + '?' + Date.parse(new Date),false );
-					xmlHttp.send(null);
-				
-				_data = xmlHttp.responseXML.documentElement;
-			}
-			else
-			{
-				_data = new ActiveXObject( "Msxml2.FreeThreadedDOMDocument" );
-				_data.async = false;
-				_data.load( pFile + '?' + Date.parse(new Date) );
-			}
-
-			_FILES[pFile] = _data;
-		}
-		return _FILES[pFile];
-	}
-
-	function _parse()
-	{
-		if ( arguments.length == 1 )
-		{
-			pXML = _xml('root');
-			pXSL = arguments[0];
-		}
-		else
-		{
-			pXML = arguments[0];
-			pXSL = arguments[1];
-		}
-		
-		switch ( typeof pXML )
-		{
-			case 'object' :
-			break;
-			case 'string' :
-				if ( pXML.indexOf('<') == 0 )
-					pXML = _convert(pXML);
-				else
-					pXML = _load.call(this, pXML);
-			break;
-			default :
-				return { 'error' : 'invalid xml' } 
-		}
-		
-		switch ( typeof pXSL )
-		{
-			case 'object' :
-			break;
-			case 'string' :
-				pXSL = _load.call(this, pXSL);
-			break;
-			default :
-				return {'error':'invalid xsl'}
-		}
-
-		var fragment = null;
-		
-		if ( window.XSLTProcessor )
-		{
-			var xslProc = new XSLTProcessor();
-			xslProc.importStylesheet(pXSL);
-
-			if ( (arguments.length == 3) && (typeof arguments[2] == 'object') )
-			{
-				var params = arguments[2];
-				for (var i in params )
-					 xslProc.setParameter(null, i, params[i]);
-			}
-
-			fragment = xslProc.transformToFragment(pXML, document);
-
-			// para retornar valor igual ao ie.
-			var aux = document.createElement("div");
-			aux.appendChild(fragment);
-			fragment = aux.innerHTML;
-		}
-		else
-		{
-			var xslTemplate = new ActiveXObject("MSXML2.XSLTemplate");
-			xslTemplate.stylesheet = pXSL;
-
-			var xslProc = xslTemplate.createProcessor();
-			xslProc.input = pXML;
-
-			if ( (arguments.length == 3) && (typeof arguments[2] == 'object') )
-			{
-				var params = arguments[2];
-				for (var i in params )
-					 xslProc.addParameter(i, params[i], '');
-			}
-
-			xslProc.transform();
-			fragment = xslProc.output;
-		}
-		return fragment;
-	}
-
-	function _xml()
-	{
-		var a = false;
-		if ( document.implementation.createDocument )
-			a = document.implementation.createDocument("", "", null);
-		else if ( ActiveXObject )
-			a = new ActiveXObject("Msxml2.DOMDocument");
-
-		if ( arguments.length == 1 && typeof arguments[0] == 'string' )
-			a.appendChild(a.createElement(arguments[0]));
-		//with ( a )
-		//	appendChild(createProcessingInstruction("xml", "version='1.0'"));
-
-		return a;
-	}
-
-	function xtools()
-	{
-		var _argv = arguments;
-		this._PATH = ( _argv.length > 0 ) ? _argv[0] : '';
-
-		if ( this._PATH != '' && this._PATH.lastIndexOf('/') != (this._PATH.length - 1) )
-			this._PATH += '/';
-	}
-
-	xtools.prototype.convert	= _convert;
-	xtools.prototype.load		= _load;
-	xtools.prototype.parse		= _parse;
-	xtools.prototype.xml		= _xml;
-	
-	window.JITXtools = xtools;
-}
-)();